package com.chenyang.nse.bussiness.entity.vo.datascope;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;

public class DataSystemProjectVO {
   private LoginUser loginUser;
   private String discoverytype;
   private String projectid;

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setLoginUser(LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public String getDiscoverytype() {
      return this.discoverytype;
   }

   public void setDiscoverytype(String discoverytype) {
      this.discoverytype = discoverytype;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DataSystemProjectVO)) {
         return false;
      } else {
         DataSystemProjectVO other = (DataSystemProjectVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            Object this$discoverytype = this.getDiscoverytype();
            Object other$discoverytype = other.getDiscoverytype();
            if (this$discoverytype == null) {
               if (other$discoverytype != null) {
                  return false;
               }
            } else if (!this$discoverytype.equals(other$discoverytype)) {
               return false;
            }

            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DataSystemProjectVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      Object $discoverytype = this.getDiscoverytype();
      result = result * 59 + ($discoverytype == null ? 43 : $discoverytype.hashCode());
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      return result;
   }

   public String toString() {
      return "DataSystemProjectVO(loginUser=" + this.getLoginUser() + ", discoverytype=" + this.getDiscoverytype() + ", projectid=" + this.getProjectid() + ")";
   }
}
